"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10433a8e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10433a980>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10433aa20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10433aac0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10433ab60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10433ac00>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10433aca0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10433ad40>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10433ade0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10433ae80>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10433af20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10433afc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10433b060>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10433b100>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10433b1a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10433b240>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10433b2e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10433b380>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10433b420>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10433b4c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10433b560>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10433b600>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10433b6a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10433b740>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10433b7e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10433b880>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10433b920>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10433b9c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10433ba60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10433bb00>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10433bba0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10433bc40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10433bce0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10433bd80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10433be20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10433bec0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10433bf60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104384040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1043840e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104384180>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104384220>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1043842c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x104384360>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104384400>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1043844a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104384540>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1043845e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104384680>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104384720>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1043847c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104384860>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104384900>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043849a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104384a40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104384ae0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104384b80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104384c20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104384cc0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104384d60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104384e00>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104384ea0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104384f40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104384fe0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104385080>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104385120>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1043851c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104385260>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x104385300>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1043853a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104385440>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1043854e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104385580>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104385620>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1043856c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104385760>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104385800>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1043858a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x104385940>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1043859e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104385a80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104385bc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104385b20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104385c60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104385d00>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104385da0>)]
name: str = 'fr_HOCCN'
